[data-theme='dark'] {
  --text-colour: white;
  --text-colour-highlighted: white;
  --text-colour-disabled: #808080;
  --search-form-bg: #0f1023;
  --window-background: linear-gradient(to bottom right, #0f1023, #4b0224);
  --place-holder-colour: #909090;
  --border: #43444d;
  --tool-highlight-bg: #e70068;
  --div-button-border: black;
}

[data-theme='light'] {
  --text-colour: #040034;
  --text-colour-highlighted: white;
  --text-colour-disabled: #808080;
  --search-form-bg: white;
  --window-background: white;
  --place-holder-colour: #707070;
  --border: #bbbbbb;
  --tool-highlight-bg: #040034;
  --div-button-border: transparent;
}

.visualisation-container {
  flex: 1 1;
  height: 100%;
  display: flex;
  flex-direction: row;
  background-color: transparent;
}

.tool-form[data-maximised='F'] {
  display: none;
}

.tool-form[data-maximised='T'] {
  flex: 0 0 160px;
  height: auto;
  display: flex;
  flex-direction: column;
  align-items: left;
  background-color: var(--search-form-bg);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
  margin: 0px 10px 0px 10px;
  border-radius: 10px;
  align-self: flex-start;
  /*border: 1px solid black;*/
}

.form-title {
  color: var(--text-colour);
  font-weight: 800;
  margin: 0px 15px 0px 15px;
  padding: 0px 0px 0px 0px;
  align-items: center;
  display: flex;
  flex-direction: row;
  align-items: center;
  flex: 0 0 0px;
}

.visualisation-tool {
  flex: 0 0;
  width: 146px;
  display: flex;
  margin: 0px 4px 4px 4px;
  color: var(--text-colour);
  flex-direction: column;
  background-color: transparent;
}

.visualisation-tool:hover {
  background-color: var(--tool-highlight-bg);
  border-radius: 10px;
  color: var(--text-colour-highlighted);
}

.visualisation-tool-buttons {
  flex: 0 0 32px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.visualisation-tool-button {
  flex: 0 0 auto;
  display: flex;
  align-items: center;
  justify-content: center;
}

.visualisation-tool-title {
  flex: 0 0;
  font-size: 12pt;
  margin: 4px 4px 0px 4px;
  text-align: center;
}

.visualisation-tool-status {
  flex: 0 0;
  font-style: italic;
  font-size: 10pt;
  margin: 0px 4px 0px 4px;
  text-align: center;
}

.visualisation-tool-status[data-running='F'] {
  display: none;
}

.visualisation-with-tabs {
  flex: 1 1;
  display: flex;
  flex-direction: column;
  border-radius: 10px;
  background-image: var(--window-background);
  box-shadow: 0px 0px 14px rgba(0, 0, 0, 0.4);
}

.visualisation-tab-bar {
  width: 100%;
  flex: 0 0 40px;
  display: flex;
  flex-direction: row;
  align-items: center;
  background-color: transparent;
}

.visualisation-tab-bar[data-hide='T'] {
  display: none;
}

.visualisation-section[data-visible='T'] {
  flex: 1 1;
  display: flex;
  flex-direction: row;
  margin: 5px 10px 10px 10px;
}

.visualisation-section[data-visible='F'] {
  display: none;
}

.iframe {
  width: 100%;
  height: 100%;
  border: solid 1pt var(--text-colour);
}
